
package de.codedo.conflicteditor;

import org.codehaus.jackson.JsonNode;
import org.codehaus.jackson.map.ObjectMapper;

public class JsonPlayground
{
    public static void main(String[] args) throws Exception
    {
        printNodeToken("{ \"key\" : \"string\" }"); // VALUE_STRING
        printNodeToken("{ \"key\" : 1 }"); // VALUE_NUMBER_INT
        printNodeToken("{ \"key\" : 1.1 }"); // VALUE_NUMBER_FLOAT
        printNodeToken("{ \"key\" : true }"); // VALUE_TRUE
        printNodeToken("{ \"key\" : false }"); // VALUE_FALSE
        printNodeToken("{ \"key\" : [] }"); // START_ARRAY
        printNodeToken("{ \"key\" : {} }"); // START_OBJECT

    }

    private static void printNodeToken(String input) throws Exception
    {
        JsonNode node = new ObjectMapper().readTree(input);
        System.out.println(node.get("key").asToken());
    }
}
